﻿@model SportsClub.Models.ParentsInformationViewModel

@using Jumbula.Common.Helper

@{
    var relationship = Enum.GetValues(typeof(ParentRelationship)).Cast<ParentRelationship>().Select(d => new SelectListItem { Text = d.ToDescription(), Value = d.ToString() }).ToList();
    var genders = Enum.GetValues(typeof(GenderCategories)).Cast<GenderCategories>().Select(d => new SelectListItem { Text = d.ToDescription(), Value = d.ToString() }).ToList().Where(e => e.Value != GenderCategories.All.ToDescription());

}

@using (Html.BeginForm("DetailsPlayer", "Registrant", FormMethod.Post, new { @id = "DetailsPlayer", @name = "myForm" }))
{
    @Html.AntiForgeryToken()

    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "title ng-binding req-star" })
                @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>

        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "title ng-binding req-star" })
                @Html.TextBoxFor(model => model.LastName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.PrimaryPhone, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.PrimaryPhone, new { @class = "form-control mask_phone-us" })
                @Html.ValidationMessageFor(model => model.PrimaryPhone, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.CellPhone, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.CellPhone, new { @class = "form-control mask_phone-us" })
                @Html.ValidationMessageFor(model => model.CellPhone, "", new { @class = "text-danger" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.GenderList, htmlAttributes: new { @class = "title ng-binding" })
                @Html.DropDownListFor(model => model.GenderList, genders, new { @class = "form-control select-date", @id = "countries" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.ParentRelationship, htmlAttributes: new { @class = "title ng-binding" })
                @Html.DropDownListFor(model => model.ParentRelationship, relationship, "", new { @class = "form-control select-date", @id = "countries" })

            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.Email, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.DOB, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.DOB, new { @class = "form-control mask_date", @placeholder = "MM/DD/YYYY" })
                @Html.ValidationMessageFor(model => model.DOB, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>




    @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
    @Html.Hidden("PlayerId", Model.PlayerId, new { id = "hdnPlayerId" })
    @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })
    @Html.Hidden("PageMode", Model.PageMode, new { id = "hdnPageMode" })
    @Html.Hidden("PageStep", Model.PageStep, new { id = "hdnPageStep" })

    <div class="row">
        <div class="col-md-12">
            <a onClick="EditDetailsPlayer()" class="btn btn_side-right-bottom btn_color-green">Submit</a>
            <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn_side-right-bottom btn_type-simple">Cancel</a>
            <div class="clearfix"></div>
        </div>
    </div>
}




